Subject: bug#37168: debbugs: Make bug list update asynchronous

From: Stefan Kangas <[email-masked]>
Date: Sat, 24 Aug 2019 14:47:24 +0200

Michael Albinus <[email-masked]> writes:

> Bug retrieving happens in two phases. The first phase, getting the bug
> numbers in question, cannot be performed asynchronously, because it is
> just one request to the debbugs server.

Would url-retrieve work for this?

(url-retrieve URL CALLBACK &optional CBARGS SILENT INHIBIT-COOKIES)

"Retrieve URL asynchronously and call CALLBACK with CBARGS when finished."

> However, debbugs waits until all parallel requests have been served by
> the debbugs server, before it begins to show the tabulated list. This
> might be done asynchronously as well. Will check, what's possible.

Sounds good, thanks.

Best regards,
Stefan Kangas